/*	
	PagineBianche 0.5
	
	Author: Paolo Grifantini 2008-01-13
	Contact: pagri@tele2.it
	
	This work is licensed under a Creative Commons License
	http://creativecommons.org/licenses/by-nc-sa/2.0/
	
	Attribution-NonCommercial-NoDerivative 2.0
	
	You are free:
	* to copy, distribute and display the work
	
	Under the following conditions:
	* Attribution. You must give the original author credit.
	* Noncommercial. You may not use this work for commercial purposes.
	* No derivative works allowed.
	
	* For any reuse or distribution, you must make clear to others the license terms of this work.
	* Any of these conditions can be waived if you get permission from the copyright holder.
	
*/

var newShow = { show : function(element) { $(element).style.display = 'block'; return element; } }
Element.addMethods(newShow);

var current_version = "0.5";
var there_is_a_new_version = false;

window.onload = init;

function init(){
	localize_strings();
	
	CreateButton('button_name', { text: getLocalizedString('cerca'), onclick: 'getNome', rightImageWidth: 5, leftImageWidth: 5 });
	CreateButton('button_number', { text: getLocalizedString('cerca'), onclick: 'getNumero', rightImageWidth: 5, leftImageWidth: 5 });
	CreateButton('button_cap', { text: getLocalizedString('cerca'), onclick: 'getCAP', rightImageWidth: 5, leftImageWidth: 5 });
	
	setTimeout("version_check();", 20*1000);
}

function localize_strings()
{
	document.getElementById("MappaSelect0").innerHTML = getLocalizedString('linguetta_nome');
	document.getElementById("MappaSelect0").alt = getLocalizedString('nome_tooltip_on');
	document.getElementById("MappaSelect0").title = getLocalizedString('nome_tooltip_on');
	document.getElementById("MappaSelect1").innerHTML = getLocalizedString('linguetta_numero');
	document.getElementById("MappaSelect1").alt = getLocalizedString('numero_tooltip_on');
	document.getElementById("MappaSelect1").title = getLocalizedString('numero_tooltip_on');
	document.getElementById("MappaSelect2").innerHTML = getLocalizedString('linguetta_cap');
	document.getElementById("MappaSelect2").alt = getLocalizedString('cap_tooltip_on');
	document.getElementById("MappaSelect2").title = getLocalizedString('cap_tooltip_on');
	
	document.getElementById("surnameLabel").innerHTML = getLocalizedString('surnameLabel');
	document.getElementById("nameLabel").innerHTML = getLocalizedString('nameLabel');
	document.getElementById("capcodeLabel").innerHTML = getLocalizedString('capcodeLabel');
	document.getElementById("addressLabel").innerHTML = getLocalizedString('addressLabel');
	
	document.getElementById("surname").placeholder = getLocalizedString('surname');
	document.getElementById("name").placeholder = getLocalizedString('name');
	document.getElementById("capcode").placeholder = getLocalizedString('capcode');
	
	document.getElementById("numeroTelefonoLabel").innerHTML = getLocalizedString('numeroTelefonoLabel');
	document.getElementById("numeroTelefono").placeholder = getLocalizedString('numeroTelefono');
	
	document.getElementById("nomeLocalitaLabel").innerHTML = getLocalizedString('nomeLocalitaLabel');
	document.getElementById("nomeLocalita").placeholder = getLocalizedString('nomeLocalita');
}


var nomeVis='';
var numeroVis='';
var capVis='';

function resize_on_finish(obj){
  window.resizeTo(239,45);
}

function showDiv(divName){
	// prima nascondo gli altri
	if (divName=='nome'){
	
		if (nomeVis){
			nomeVis='';
			document.getElementById("MappaSelect0").style.color = 'lightcyan';
			
			//document.getElementById('riNome').style.display = 'none';
			Effect.BlindUp('riNome',{ duration: 0.2, afterFinish: resize_on_finish});
			
			document.getElementById("MappaSelect0").alt = getLocalizedString('nome_tooltip_on');
			document.getElementById("MappaSelect0").title = getLocalizedString('nome_tooltip_on');
			
			//window.resizeTo(239,45);
		}
		else {
			nomeVis=1;
			document.getElementById("MappaSelect0").style.color = 'white';
			
			//prima nascondi le altre
			numeroVis='';
			capVis='';
			document.getElementById("MappaSelect1").style.color = 'lightcyan';
			document.getElementById("MappaSelect2").style.color = 'lightcyan';
			document.getElementById('riNumero').style.display = 'none';
			document.getElementById('riCap').style.display = 'none';
			
			document.getElementById("MappaSelect1").alt = getLocalizedString('numero_tooltip_on');
			document.getElementById("MappaSelect1").title = getLocalizedString('numero_tooltip_on');
			document.getElementById("MappaSelect2").alt = getLocalizedString('cap_tooltip_on');
			document.getElementById("MappaSelect2").title = getLocalizedString('cap_tooltip_on');
			
			//resetta campi
			
			document.getElementById('surname').value = '';
			document.getElementById('name').value = '';
			document.getElementById('capcode').value = '';
			
			document.getElementById('surnameLabel').style.color = 'black';
			document.getElementById('capcodeLabel').style.color = 'black';
			
			document.getElementById('tipoVia').selectedIndex = 0;
			document.getElementById('nomeVia').value = '';
			document.getElementById('numeroCivico').value = '';
			
			//poi mostra
			
			document.getElementById("MappaSelect0").alt = getLocalizedString('cap_tooltip_off');
			document.getElementById("MappaSelect0").title = getLocalizedString('cap_tooltip_off');
			
			window.resizeTo(239,300);
			//document.getElementById('riNome').style.display = 'block';
			Effect.BlindDown('riNome',{ duration: 0.2 });
		}
	}
	else if (divName=='numero'){
	
		if (numeroVis){
			numeroVis='';
			document.getElementById("MappaSelect1").style.color = 'lightcyan';
			
			//document.getElementById('riNumero').style.display = 'none';
			Effect.BlindUp('riNumero',{ duration: 0.2, afterFinish: resize_on_finish});
			
			document.getElementById("MappaSelect1").alt = getLocalizedString('numero_tooltip_on');
			document.getElementById("MappaSelect1").title = getLocalizedString('numero_tooltip_on');
			
			//window.resizeTo(239,45);
		}
		else {
			numeroVis=1;
			document.getElementById("MappaSelect1").style.color = 'white';
			
			//prima nascondi le altre
			nomeVis='';
			capVis='';
			document.getElementById("MappaSelect0").style.color = 'lightcyan';
			document.getElementById("MappaSelect2").style.color = 'lightcyan';
			document.getElementById('riNome').style.display = 'none';
			document.getElementById('riCap').style.display = 'none';
			
			document.getElementById("MappaSelect0").alt = getLocalizedString('nome_tooltip_on');
			document.getElementById("MappaSelect0").title = getLocalizedString('nome_tooltip_on');
			document.getElementById("MappaSelect2").alt = getLocalizedString('cap_tooltip_on');
			document.getElementById("MappaSelect2").title = getLocalizedString('cap_tooltip_on');
			
			//resetta campi
			
			document.getElementById('numeroTelefono').value = '';
			document.getElementById('numeroTelefonoLabel').style.color = 'black';
			
			//poi mostra
			
			document.getElementById("MappaSelect1").alt = getLocalizedString('cap_tooltip_off');
			document.getElementById("MappaSelect1").title = getLocalizedString('cap_tooltip_off');
			
			window.resizeTo(239,300);
			//document.getElementById('riNumero').style.display = 'block';
			Effect.BlindDown('riNumero',{ duration: 0.2 });
		}
	}
	else {
	
		if (capVis){
			capVis='';
			document.getElementById("MappaSelect2").style.color = 'lightcyan';
			
			//document.getElementById('riCap').style.display = 'none';
			Effect.BlindUp('riCap',{ duration: 0.2, afterFinish: resize_on_finish});
			
			document.getElementById("MappaSelect2").alt = getLocalizedString('cap_tooltip_on');
			document.getElementById("MappaSelect2").title = getLocalizedString('cap_tooltip_on');
			
			//window.resizeTo(239,45);
		}
		else {
			capVis=1;
			document.getElementById("MappaSelect2").style.color = 'white';
			
			//prima nascondi le altre
			nomeVis='';
			numeroVis='';
			document.getElementById("MappaSelect0").style.color = 'lightcyan';
			document.getElementById("MappaSelect1").style.color = 'lightcyan';
			document.getElementById('riNome').style.display = 'none';
			document.getElementById('riNumero').style.display = 'none';
			
			document.getElementById("MappaSelect0").alt = getLocalizedString('nome_tooltip_on');
			document.getElementById("MappaSelect0").title = getLocalizedString('nome_tooltip_on');
			document.getElementById("MappaSelect1").alt = getLocalizedString('numero_tooltip_on');
			document.getElementById("MappaSelect1").title = getLocalizedString('numero_tooltip_on');
			
			//resetta campi
			
			document.getElementById('nomeLocalita').value = '';
			document.getElementById('nomeLocalitaLabel').style.color = 'black';
			
			//poi mostra
			
			document.getElementById("MappaSelect2").alt = getLocalizedString('cap_tooltip_off');
			document.getElementById("MappaSelect2").title = getLocalizedString('cap_tooltip_off');
			
			window.resizeTo(239,300);
			//document.getElementById('riCap').style.display = 'block';
			Effect.BlindDown('riCap',{ duration: 0.2 });
		}
	}
					
}


function getNumero(){
	
	searchNumber=document.getElementById('numeroTelefono').value;
	searchNumber = searchNumber.replace(/\s+/g," ");
	
	if ( (searchNumber == '') || (searchNumber == ' ') ){
		document.getElementById('numeroTelefonoLabel').style.color = 'red';
				
		return;
	}
	else {document.getElementById('numeroTelefonoLabel').style.color = 'black';}

	widget.openURL("http://www.paginebianche.it/execute.cgi?btt=1&tl=2&tr=106&tc=&cb=&x=0&y=0&qs="+searchNumber);
}

function getCAP(){
		
	luogo=document.getElementById('nomeLocalita').value;
	luogo = luogo.replace(/[\s]+/g,'+');
	
	if ( (luogo == '') || (luogo == ' ') ){
		document.getElementById('nomeLocalitaLabel').style.color = 'red';
				
		return;
	}
	else {document.getElementById('nomeLocalitaLabel').style.color = 'black';}

	widget.openURL("http://www.paginebianche.it/execute.cgi?ts=20&cb=&btt=1&tl=2&codc=&dv="+luogo+"&x=0&y=0");
}
	
function getNome(){
	toReturn = '';
	
	cognome=document.getElementById('surname').value;
	indirizzo=document.getElementById('capcode').value;
	cognomeSenzaSpazi = cognome.replace(/\s+/g," ");
	indirizzoSenzaSpazi = indirizzo.replace(/\s+/g," ");
		
	if ( (cognomeSenzaSpazi == '') || (cognomeSenzaSpazi == ' ') ){
		document.getElementById('surnameLabel').style.color = 'red';
				
		return;
	}
	else {document.getElementById('surnameLabel').style.color = 'black';}
	
	
	cognome = cognome.replace(/[\s]+/g,'+');
	nome=document.getElementById('name').value;
	nome = nome.replace(/[\s]+/g,'+');
	indirizzo = indirizzo.replace(/[\s]+/g,'+');
	
	tipo=document.getElementById('tipoVia').value;
	strada=document.getElementById('nomeVia').value;
	strada = strada.replace(/[\s]+/g,'+');

	
	civico=document.getElementById('numeroCivico').value;
	
	widget.openURL("http://www.paginebianche.it/execute.cgi?btt=1&tl=2&tr=101&tc=&cb=&tq=2&qs="+cognome+"&qsn="+nome+"&dv="+indirizzo+"&ind="+tipo+"+"+strada+"&nc="+civico);	
	
}

//************ version check **************************************

function goToDownloadPage()
{
	// vai al sito
	widget.openURL("http://www.palple.net/widgets/paginebianche/PagineBianche.zip");
}

var version_req_stop_timeout = false;
var version_req_timeout = false;

function loadVersionPage(url)
{
	if (window.XMLHttpRequest) {
		version_req = new XMLHttpRequest();
		version_req.onreadystatechange = parseVersionPage;
		version_req.overrideMimeType("text/xml");
		version_req.setRequestHeader("Cache-Control", "no-cache")
		version_req.open("GET", url, true);
		version_req.send(null);
		
		version_req_stop_timeout = false;
		version_req_timeout = false;
		setTimeout("version_req_send_timeout();",5000);
	}
}

function version_req_send_timeout()
{
	if (version_req_stop_timeout){return;}
	version_req_timeout = true;
}

function isGreaterVersion(release1, release2)
{
	// faccio uno split per il '.' e poi verifico valore per valore
	release1_numbers = release1.split('.');
	release2_numbers = release2.split('.');
	
	release1_value = 0;
	release2_value = 0;
	
	// risolvo matematicamente che è più elegante...
	
	for (var i=0;i<release1_numbers.length;i++){
		release1_value += release1_numbers[i]*(Math.pow(10,-i*3));
	}
	
	for (var i=0;i<release2_numbers.length;i++){
		release2_value += release2_numbers[i]*(Math.pow(10,-i*3));
	}
	
	if (release1_value > release2_value) return true;
	
	return false;
	
	/* wrong
	for (i=0;i<release1_numbers.length;i++){
		try {number_exists = release2_numbers[i];} catch (ex){return true;} // se non esiste il valore nella seconda...
		if (release1_numbers[i] > release2_numbers[i]) {return true;} else if (release1_numbers[i] < release2_numbers[i]) {return false;}
	}*/
}

function parseVersionPage()
{
	if (version_req_timeout) {version_req.abort(); version_req_timeout = false; version_req_stop_timeout = true; return;}
	
	if ((version_req.readyState == 4) && (version_req.status == 200)) {
		version_req_stop_timeout = true;
		version_req_timeout = false;
		
		latest_version = version_req.responseXML.getElementsByTagName("version");
		latest_version = latest_version[0].firstChild.data;
		
		// faccio una comparazione tra versioni
		if (isGreaterVersion(latest_version,current_version)){
			there_is_a_new_version = true;
		}
		
		/*
		if (latest_version != current_version){
			there_is_a_new_version = true;
		}*/
		//debug (latest_version);
		
		if (there_is_a_new_version) {
			new_version_badge.style.display = "block"
			new_version_tooltip_string = getLocalizedString('new_version_tooltip') + " " + latest_version + " (" + getLocalizedString('you_have') + " " + current_version + ")";
			new_version_badge.setAttribute ("title", new_version_tooltip_string);
		}
	}
}

function version_check()
{
	loadVersionPage('http://www.palple.net/widgets/paginebianche/version.xml');
}